Subject: Re: [PATCH 2/4] Fix drop-down menus in the git-gui dialogs.

From: Eygene Ryabinkin <[email-masked]>
Date: Thu, 5 Apr 2007 16:49:20 +0400

Shawn, good day.

Wed, Apr 04, 2007 at 12:37:09PM -0400, Shawn O. Pearce wrote:
> git-gui patches should be addressed to me, not Paul.

Yep, I just messed with the mail addresses, since I was doing patches
both for gitk and git-gui. Sorry for it!

> > Error was fixed by "grab"bing the drop-down menu windows on their
> > activation. Now all drop-down menus are disappearing once the mouse
> > button is depressed, no matter what is the current position of the
> > mouse pointer.
> 
> This fix actually horribly breaks on Mac OS X.  The problem
> appears to be that the <Visibility> event on that system doesn't
> get delivered until after the menu is destroyed, yet I'm getting
> a %s of VisibilityUnobscured in the event handler.  Go figure.
>
> So anyway, I cannot apply this patch as-is, because it breaks
> my main development system.  I understand and feel your pain,
> but you either need to make this binding apply only on your OS,
> or find another way to workaround that Tk bug...

OK, I will try to find the other workaround, but I have no Mac OS
X at hand (they are a bit expensive to me), so I hope you will find
some time to test the new approaches, if I will come up with any.

Thank you!
-- 
Eygene